#ifndef ENGINE_H
#define ENGINE_H
#include "friendslist.h"


/* An engine is a console front-end app for the FriendMap test
program */

class Engine : public QObject {
    Q_OBJECT
  public:
    void showFriends(QString symbol);
    QString processLine(QString inputline);
    void history() const;
    QString takeback(int index);   /* Removes a previous assertion */
  private:
    QVector<QString> m_Messages;   /* A log of incoming messages */
    FriendMap m_friendMap;         /* Maintains a mapping of symbols to heap EquivClass objects. */
};


#endif        //  #ifndef ENGINE_H
